Skip to main content

Place Plan Order

HTTP Request

  • POST /api/v1/private/planorder/place/v2

Required Permission: Order Placing

Request Parameters

ParameterTypeRequiredDescription
symbolstringtrueContract
pricedecimalfalseExecution price; not required for market
voldecimaltrueQuantity
leverageinttrueLeverage, required when opening
sideinttrueOrder direction, 1: open long, 2: close short, 3: open short, 4: close long
openTypeinttrueOpen type, 1: isolated,2: cross
triggerPricedecimaltrueTrigger price
triggerTypeinttrueTrigger type,1: greater than or equal to,2: less than or equal to
executeCycleinttrueExecution cycle,1: 24 hours,2: 7 days
orderTypeinttrueOrder type,1: limit,2: Post Only (maker only),3: IOC,4: FOK,5: market
trendinttrueTrigger price type,1: latest price,2: fair price,3: index price
priceProtectintfalseConditional order trigger protection: "1","0", default "0" disabled. Required only for plan orders/TP-SL orders
positionModeintfalseUser-set position mode. Default 0: no record (historical orders); 1: Hedge Mode; 2: One-way Mode
lossTrendintfalseStop-loss reference price type 1 latest price 2 fair price 3 index price
profitTrendintfalseTake-profit reference price type 1 latest price 2 fair price 3 index price
stopLossPricedecimalfalseStop-loss price
takeProfitPricedecimalfalseTake-profit price
reduceOnlybooleanfalseReduce-only

Response Parameters

On success, success = true, data is the order id; on failure, success = false, data = null

Response

{
"success": true,
"code": 0,
"data": "739206374277809664"
}